UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Attributes | List of all members
com.latencybusters.lbm.sdm.LBMSDMRawInt64 Class Reference
Inheritance diagram for com.latencybusters.lbm.sdm.LBMSDMRawInt64:

## Public Member Functions
| LBMSDMRawInt64 () throws LBMSDMException
| LBMSDMRawInt64 (long v) throws LBMSDMException
void | set (long v) throws LBMSDMException
int | format (byte[] buf, int offset) throws LBMSDMException
String | toString ()
int | parse (byte[] buf, int offset) throws LBMSDMException
long | toLong ()
String | toDbgString ()
void | set_debug_level (int level)
void | log (String s)

## Static Public Member Functions
static int | format (byte[] buf, int offset, long v) throws LBMSDMException
static long | parse_s (byte[] buf, int offset) throws LBMSDMException

## Static Public Attributes
static int | length = 8
static final int | DEBUG_BASIC = 1
static final int | DEBUG_VERBOSE_PARSING = 2

## Protected Attributes
int | debug_level = 0

## Detailed Description

An LBMSDMRawInt64 is a helper class to minimise the effort of formatting and parsing 64 bit integers

## Constructor & Destructor Documentation

com.latencybusters.lbm.sdm.LBMSDMRawInt64.LBMSDMRawInt64 | ( |  | ) | throws LBMSDMException

Create a raw int64 field, defaulting to 0

com.latencybusters.lbm.sdm.LBMSDMRawInt64.LBMSDMRawInt64 | ( | long | v | ) | throws LBMSDMException

Create a raw int64 field providing the value as a long

Parameters

  v | A long value to seed the raw field with

## Member Function Documentation

static int com.latencybusters.lbm.sdm.LBMSDMRawInt64.format | ( | byte [] | buf,
|  | int | offset,
|  | long | v
| ) |  | throws LBMSDMException
| static

Format an int64 value into a byte buffer

Parameters

  buf | The buffer to contain the formatted value
  offset | The offset in to the buffer to start formatting
  v | The value of the int64 to be formatted as a long

Returns
  The offset after formatting a long

References com.latencybusters.lbm.sdm.LBMSDMRawInt64.length.

Referenced by com.latencybusters.lbm.sdm.LBMSDMRawDouble.format(), com.latencybusters.lbm.sdm.LBMSDMRawInt64.format(), com.latencybusters.lbm.sdm.LBMSDMRawDecimal.format(), com.latencybusters.lbm.sdm.LBMSDMFieldInt64.format(), and com.latencybusters.lbm.sdm.LBMSDMArrayInt64.format().

int com.latencybusters.lbm.sdm.LBMSDMRawInt64.format | ( | byte [] | buf,
|  | int | offset
| ) |  | throws LBMSDMException

Format the raw int64 value into a byte buffer

Parameters

  buf | The buffer to contain the formatted value
  offset | The offset in to the buffer to start formatting

Returns
  The offset after formatting this object

References com.latencybusters.lbm.sdm.LBMSDMRawInt64.format().

void com.latencybusters.lbm.sdm.LBMSDM.log | ( | String | s | ) |
| inherited

Log an event. If debug level is set greater than 0, output to stderr

Referenced by com.latencybusters.lbm.sdm.LBMSDMFields.get_attr(), com.latencybusters.lbm.sdm.LBMSDMFields.LBMSDMFields(), com.latencybusters.lbm.sdm.LBMSDMFieldBlob.set(), com.latencybusters.lbm.sdm.LBMSDMFieldMessage.set(), com.latencybusters.lbm.sdm.LBMSDMFieldDecimal.set(), com.latencybusters.lbm.sdm.LBMSDMFieldTimestamp.set(), com.latencybusters.lbm.sdm.LBMSDMArrayDecimal.set(), and com.latencybusters.lbm.sdm.LBMSDMArrayUint64.set().

int com.latencybusters.lbm.sdm.LBMSDMRawInt64.parse | ( | byte [] | buf,
|  | int | offset
| ) |  | throws LBMSDMException

Parse the raw int64 value from a byte buffer in to the object

Parameters

  buf | The buffer that contains the formatted value
  offset | The offset in to the buffer to start parsing

Returns
  the new offset after parsing the field

References com.latencybusters.lbm.sdm.LBMSDMRawInt64.length, and com.latencybusters.lbm.sdm.LBMSDMRawInt64.parse_s().

Referenced by com.latencybusters.lbm.sdm.LBMSDMRawDecimal.parse().

static long com.latencybusters.lbm.sdm.LBMSDMRawInt64.parse_s | ( | byte [] | buf,
|  | int | offset
| ) |  | throws LBMSDMException
| static

Parse the raw int64 value from a byte buffer

Parameters

  buf | The buffer that contains the formatted value
  offset | The offset in to the buffer to start parsing

Returns
  The int64 value parsed as a long

Referenced by com.latencybusters.lbm.sdm.LBMSDMRawInt64.parse(), com.latencybusters.lbm.sdm.LBMSDMFieldInt64.parse(), and com.latencybusters.lbm.sdm.LBMSDMRawDouble.parse_s().

void com.latencybusters.lbm.sdm.LBMSDMRawInt64.set | ( | long | v | ) | throws LBMSDMException

Set a raw int64 field providing the value as a long

Parameters

  v | The long this raw object is to use

void com.latencybusters.lbm.sdm.LBMSDM.set_debug_level | ( | int | level | ) |
| inherited

Set the debug level for processing this SDM message. Currently all debugs go to standard out.

String com.latencybusters.lbm.sdm.LBMSDMRaw.toDbgString | ( |  | ) |
| inherited

Get a debug string for this object. This is not expected to be called and exists for child classes.

Returns
  returns null - derived classes override with their value

Referenced by com.latencybusters.lbm.sdm.LBMSDMBadRawObjectException.LBMSDMBadRawObjectException().

long com.latencybusters.lbm.sdm.LBMSDMRawInt64.toLong | ( |  | ) |

Get the long representation of the int64

Returns
  A long with the value of the object

Referenced by com.latencybusters.lbm.sdm.LBMSDMRawDecimal.parse(), and com.latencybusters.lbm.sdm.LBMSDMRawInt64.toString().

String com.latencybusters.lbm.sdm.LBMSDMRawInt64.toString | ( |  | ) |

Get a string version of an int64

Returns
  A string representation of the int64

References com.latencybusters.lbm.sdm.LBMSDMRawInt64.toLong().

## Member Data Documentation

final int com.latencybusters.lbm.sdm.LBMSDM.DEBUG_BASIC = 1
| static inherited

Debug flag for basic debug output

int com.latencybusters.lbm.sdm.LBMSDM.debug_level = 0
| protected inherited

Debug mask for SDM implementation.

See also
  set_debug_level

Referenced by com.latencybusters.lbm.sdm.LBMSDMessage.data(), com.latencybusters.lbm.sdm.LBMSDMessage.parse(), com.latencybusters.lbm.sdm.LBMSDMFieldMessage.parse(), and com.latencybusters.lbm.sdm.LBMSDMArrayMessage.parse().

final int com.latencybusters.lbm.sdm.LBMSDM.DEBUG_VERBOSE_PARSING = 2
| static inherited

Debug flag for verbose message parsing output

int com.latencybusters.lbm.sdm.LBMSDMRawInt64.length = 8
| static

The number of bytes needed to store a raw LBMSDMRawInt64

Referenced by com.latencybusters.lbm.sdm.LBMSDMFieldInt64.fixed_size(), com.latencybusters.lbm.sdm.LBMSDMRawInt64.format(), and com.latencybusters.lbm.sdm.LBMSDMRawInt64.parse().

The documentation for this class was generated from the following file:

- LBMSDMRawInt64.java